path: /build/build/rtw89-kernel-5.10-0.20220824+35.package.tar.zst
dependencies: []
compilespec:
  steps:
  - cd rtw89 && sed -e 's|^MODDESTDIR.*|MODDESTDIR := /rtw89/lib/modules/5.10.238-macaroni/kernel/drivers/net/wireless/realtek/rtw89/|g'
    -i Makefile && make install
  - for i in /rtw89/lib/modules/5.10.238-macaroni/kernel/drivers/net/wireless/realtek/rtw89/*.ko
    ; do xz -z ${i} ; done
  env:
  - KVER=5.10.238-macaroni
  - GIT_HASH=e3ef10e3a6b3a002af800d658efa904e0d30f1a2
  prelude:
  - luet i kernel-5.10/macaroni-lts-full kernel-5.10/macaroni-lts-modules --nodeps
    --finalizer-env "BUILD_ISO=1" && luet i git make sys-apps/kmod && luet cleanup
  - ln -s /usr/src/linux-5.10.238-macaroni /lib/modules/5.10.238-macaroni/build
  - git clone https://github.com/lwfinger/rtw89.git && cd rtw89 && git checkout "${GIT_HASH%\+*}"
    && make
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2a5351f538f54a4154735a43ae3a210313aa7b143e08f7c804a14ecb1efd9646
  package:
    name: rtw89
    version: 0.20220824+35
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    description: Driver for Realtek 8852AE, an 802.11ax device,
    buildtimestamp: 2025-06-16 14:23:20.831539872 +0000 UTC m=+108.219705582
    labels:
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.238
    treedir: /build/packages
  package_dir: /rtw89
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: de65b5a6122a2be204a47665dfd96e3e08882bd2dad93d1bfbca2829450a81e7
compressiontype: zstd
files:
- lib/modules/5.10.238-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw89core.ko.xz
- lib/modules/5.10.238-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw89pci.ko.xz
- lib/modules/5.10.238-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw_8852a.ko.xz
- lib/modules/5.10.238-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw_8852ae.ko.xz
package_cacheimage: ""
runtime:
  name: rtw89
  version: 0.20220824+35
  category: kernel-5.10
  annotations:
    kernel_module: true
  description: Driver for Realtek 8852AE, an 802.11ax device,
  labels:
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.238
